--- Aurora - Extension
--- Copyright (c) 2019-2021, Marouan Sabbagh <mar.sabbagh@gmail.com>
--- All Rights Reserved.
---
--- This file is part of addon Aurora - Extension.

local _, AE = ...

-- WoW API
local _G = _G

-- Aurora API
if not _G.Aurora then return end
local Hook = _G.Aurora.Hook
local Skin = _G.Aurora.Skin

local function DisableSkin_AchievementsItem()
    if _G.AuroraExtensionDB.skinAchievementsItem then return end

    Hook.AchievementButton_UpdatePlusMinusTexture = function() end
    Hook.AchievementButton_Saturate = function() end
    Hook.AchievementButton_Desaturate = function() end
    Hook.AchievementButton_GetProgressBar = function() end
    Hook.AchievementButton_GetMeta = function() end
    Hook.AchievementFrameSummary_UpdateAchievements = function() end

    Skin.AchievementTemplate = function() end
    Skin.ComparisonPlayerTemplate = function() end
    Skin.SummaryAchievementTemplate = function() end
    Skin.ComparisonTemplate = function() end
end

function AE.addons.Blizzard_AchievementUI()
    DisableSkin_AchievementsItem()
end

AE.AddOption("checkbox", "Achievements - Item", "skinAchievementsItem", true)